Skip to content
中文

WanImage-to-Video

Method: POSTEndpoint: /v2/videos/generations

Unified Interface Format

Request Parameters

Header Parameters

text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
prompt
string
Required
model
enum<string>
Required
Enum Values:
wan2.2-i2v-plus
wan2.2-i2v-flash
wanx2.1-i2v-turbo
wanx2.1-i2v-plus
duration
integer
Optional
resolution
enum<string>
Optional
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
Enum Values:
720P
480P
1080P
images
array
[string]
  // provider-specific example normalized for English documentation
Required
watermark
boolean
Optional
template
string
Optional
negative_prompt
string
Optional
prompt_extend
string
Optional
seed
integer
Optional
Example
{
"prompt"
:
"dance"
,
"model"
:
"wan2.2-i2v-flash"
,
"images"
:
[
"https://webstatic.aiproxy.vip/dist/demo.jpg"
]
}

Example Request

Shell

bash
curl --location --request POST '/v2/videos/generations' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "prompt": "dance",
    "model": "wan2.2-i2v-flash",
    "images": [
        "https://webstatic.aiproxy.vip/dist/demo.jpg"
    ]
}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
task_id
string
Required

Example

json
{
    "task_id": "e7bed961-d1b9-4b3f-8ef9-5f441bde28c8"
}